---
# vi:ts=2 sw=2 et:
#
# Docs: https://packit.dev/docs/

specfile_path: .packit_rpm/systemd.spec
synced_files:
  - .packit.yaml
  - src: .packit_rpm/systemd.spec
    dest: systemd.spec
upstream_package_name: systemd
downstream_package_name: systemd
# `git describe` returns in systemd's case 'v245-xxx' which breaks RPM version
# detection (that expects 245-xxxx'). Let's tweak the version string accordingly
upstream_tag_template: "v{version}"
srpm_build_deps: []

actions:
  post-upstream-clone:
    # Use the Fedora Rawhide specfile
    - "git clone https://src.fedoraproject.org/rpms/systemd .packit_rpm --depth=1"
    # Drop the "sources" file so rebase-helper doesn't think we're a dist-git
    - "rm -fv .packit_rpm/sources"
    # Drop backported patches from the specfile, but keep the downstream-only ones
    # - Patch(0000-0499): backported patches from upstream
    # - Patch0500-9999: downstream-only patches
    - "sed -ri '/^Patch(0[0-4]?[0-9]{0,2})?\\:.+\\.patch/d' .packit_rpm/systemd.spec"
    # Build the RPM with --werror. Even though --werror doesn't work in all
    # cases (see [0]), we can't use -Dc_args=/-Dcpp_args= here because of the
    # RPM hardening macros, that use $CFLAGS/$CPPFLAGS (see [1]).
    #
    # [0] https://github.com/mesonbuild/meson/issues/7360
    # [1] https://github.com/systemd/systemd/pull/18908#issuecomment-792250110
    - 'sed -i "/^CONFIGURE_OPTS=(/a--werror" .packit_rpm/systemd.spec'

jobs:
- job: copr_build
  trigger: pull_request
  metadata:
    targets:
    - fedora-rawhide-aarch64
    - fedora-rawhide-i386
    - fedora-rawhide-ppc64le
    - fedora-rawhide-s390x
    - fedora-rawhide-x86_64
